From e5970a6c47a90545aff7afe2cd055f68968eac25 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 07 2015 23:47:43 +0000
Subject: [PATCH 176/1001] Put commas in those numbers.


---

diff --git a/hubs/app.py b/hubs/app.py
index cac231f..877991c 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -50,6 +50,11 @@ class CustomJSONEncoder(flask.json.JSONEncoder):
 app.json_encoder = CustomJSONEncoder
 
 
+@app.template_filter('commas')
+def commas(numeric):
+    return "{:,.2f}".format(numeric)
+
+
 @app.teardown_request
 def shutdown_session(exception=None):
     """ Remove the DB session at the end of each request. """
diff --git a/hubs/utils.py b/hubs/utils.py
index 35bf44a..0cbff18 100644
--- a/hubs/utils.py
+++ b/hubs/utils.py
@@ -12,3 +12,7 @@ def username2avatar(username, s=312):
     hash = sha256(openid.encode('utf-8')).hexdigest()
     avatar = "https://seccdn.libravatar.org/avatar/%s?%s" % (hash, query)
     return avatar
+
+
+def commas(numeric):
+    return "{:,}".format(numeric)
diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index b353ea3..505d88b 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -1,6 +1,8 @@
 from hubs.hinting import hint
 from hubs.widgets.chrome import panel
 
+from hubs.utils import commas
+
 import jinja2
 import requests
 
@@ -14,7 +16,7 @@ template = jinja2.Template("""
 <div class="stats-container">
   <table class="stats-table">
     <tr><th>FedMsgs</th><th>Subscribers</th></tr>
-    <tr class="text-info"><td>{{fedmsgs}}</td><td class="text-right">{{subscribers}}</td></tr>
+    <tr class="text-info"><td>{{fedmsgs_text}}</td><td class="text-right">{{subscribers_text}}</td></tr>
   </table>
   {% if session['nickname'] != username %}
   <div class="pull-right"><button class="btn btn-info">Subscribe</button></div>
@@ -32,6 +34,8 @@ def data(session, widget, username):
         username=username,
         fedmsgs=fedmsgs,
         subscribers=len(widget.hub.subscribers),
+        fedmsgs_text=commas(fedmsgs),
+        subscribers_text=commas(len(widget.hub.subscribers)),
     )
 
 
diff --git a/hubs/widgets/stats.py b/hubs/widgets/stats.py
index 228d60f..0e4a274 100644
--- a/hubs/widgets/stats.py
+++ b/hubs/widgets/stats.py
@@ -1,6 +1,8 @@
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.chrome import panel
 
+from hubs.utils import commas
+
 import flask
 import jinja2
 
@@ -10,7 +12,7 @@ template = jinja2.Template("""
 <div class="col-md-7">
   <table class="stats-table">
     <tr><th>Members</th><th>Subscribers</th></tr>
-    <tr class="text-info"><td>{{members | length}}</td><td class="text-right">{{subscribers | length}}</td></tr>
+    <tr class="text-info"><td>{{members_text}}</td><td class="text-right">{{subscribers_text}}</td></tr>
   </table>
 </div>
 <div class="col-md-5">
@@ -51,11 +53,21 @@ template = jinja2.Template("""
 
 
 def data(session, widget):
+    owners = [u.username for u in widget.hub.owners]
+    members = [u.username for u in widget.hub.members]
+    subscribers = [u.username for u in widget.hub.subscribers]
+    stargazers = [u.username for u in widget.hub.stargazers]
+
     return dict(
-        owners=[u.username for u in widget.hub.owners],
-        members=[u.username for u in widget.hub.members],
-        subscribers=[u.username for u in widget.hub.subscribers],
-        stargazers=[u.username for u in widget.hub.stargazers],
+        owners=owners,
+        members=members,
+        subscribers=subscribers,
+        stargazers=stargazers,
+
+        owners_text=commas(len(owners)),
+        members_text=commas(len(members)),
+        subscribers_text=commas(len(subscribers)),
+        stargazers_text=commas(len(stargazers)),
 
         hub_leave_url=flask.url_for('hub_leave', hub=widget.hub.name),
         hub_join_url=flask.url_for('hub_join', hub=widget.hub.name),

